/*****************************************************************************/
/*                     WiNRADiO G65DDC EXCALIBUR SIGMA                       */
/*                                SDK DEMO                                   */
/*             Simple playback on waveform-audio output device               */
/*                        (c) Copyright RADIXON 2020                         */
/*****************************************************************************/

#ifndef __U_WAVEOUT_H__
#define __U_WAVEOUT_H__

#include "u_types.h"
#include <pulse/simple.h>
#include <pulse/error.h>
#include <pthread.h>

class TWaveOut
{
public:
    void Write(const float *Samples,uint32_t Count);
    bool Open(uint32_t SampleRate);
    void Close(void);

    TWaveOut(void);
    ~TWaveOut(void);
private:
    pthread_mutex_t m_Mutex;
    pa_simple       *m_PaSimple;
};


#endif //__U_WAVEOUT_H__

